Update SSOConfig

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/ssoconfig
API call form
Examples

SSO config allows organizations to configure Single Sign-On authentication using OIDC protocol.

The is_verified field is read-only and cannot be updated directly, It will be set to true when the SSO configuration is used successfully for the first time.

The disable_email_password field can only be set to true if the SSO configuration has been verified (is_verified is true).

Request parametersResponse schema
id UUID

The unique identifier of the entity

organization_id UUID

The unique identifier of the entity

protocol STRING

The SSO protocol used for authentication. Currently only OIDC (OpenID Connect) is supported.

config OBJECT

The configuration object containing protocol-specific settings. For OIDC, this includes client credentials and endpoint URLs.

client_id STRING
client_secret STRING
issuer URI
authorization_url URI
token_url URI
user_info_url URI
is_verified BOOLEAN

Indicates if the SSO configuration has been successfully used in a login attempt. This field is read-only and controlled by the backend. It cannot be updated directly.

disable_email_password BOOLEAN

When set to true, users will only be able to authenticate via SSO and not using email/password combination. This can only be set to true if the SSO configuration has been verified (is_verified is true).

created_at DATETIME

A ISO date time string format

updated_at DATETIME

A ISO date time string format

Can be executed by:
Organization Owner
Can be associated to:
Organization
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
pip install luzmo-sdk

Response when an SSO configuration is updated successfully.

Example Response
200
400
500
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "organization_id": "550e8400-e29b-41d4-a716-446655440001",
  "protocol": "OIDC",
  "config": {
    "client_id": "updated-client-id",
    "client_secret": "updated-client-secret",
    "issuer": "https://updated-oidc-provider.com",
    "authorization_url": "https://updated-oidc-provider.com/auth",
    "token_url": "https://updated-oidc-provider.com/token",
    "user_info_url": "https://updated-oidc-provider.com/userinfo"
  },
  "is_verified": false,
  "disable_email_password": false,
  "created_at": "2024-01-15T10:30:00.000Z",
  "updated_at": "2024-01-15T11:45:00.000Z"
}